Subject: Summary: isosurfaces in volumetric data

From: Willy Wriggers <[email-masked]>
Date: Fri, 10 Oct 97 17:55:37 -0500

Hi,
I send this summary again because it looks like it did not get  
posted last time.

Thanks to everyone who replied! For the record, here is a  
compilation of messages I received:

The original question was:

> I'm looking for a free implementation (preferably in c) of an
> algorithm that renders isosurfaces of 3D data on a grid.
>
> One example would be the Marching Cubes algorithm by Lorensen and
> Cline, but any other method that generates triangles and
> corresponding surface normals is welcome, too.

------------------------------------------------------------

Richard Gillilan <[email-masked]>,
Michael Potter <[email-masked]>:

	VTK will do isosurfaces with Marching cubes etc (see  
http://www.cs.rpi.edu/~martink/) VTK is a C++ class library that  
I've used for a variety of visualization tasks in the past. I  
believe their copyright is fairly flexible. The code is fairly  
modular so you should be able to take just the pieces you need. At  
the very least you could look at the source for the method.

Matthew Ward <[email-masked]>:

Alternatively, if you buy the book "The Visualization Toolkit" by  
Schroeder, Martin, and Lorensen you get the software on a CD.  It  
gives you a wide range of rendering options, including Marching  
Cubes.

Andrew Dalke <[email-masked]>:

	You might also do a web search for a volume renderer, if  
you want some pre-built tools.  The ones I recall are VolVis  
(http://miles.cnuce.cnr.it/cg/TAn.html) and the Visualization Tool  
Kit. [see above]

Joel Welling <[email-masked]>:

	DrawP3D has an implementation of a Marching Cubes-type  
algorithm; see http://www.psc.edu/Packages/DrawP3D.  There is also  
one in the vtk toolkit [see above].  I'm not sure what to say about  
either one being free, however, as GE (I believe) has a patent on  
the whole idea of isosurfaces from gridded data. (Believe it or  
not).  They are unlikely to pay attention to an academic product,  
but if you start selling something for money they may want some of  
it.

Stuart Green <[email-masked]>:

	To overcome the lack of this type of rendering in Chime and  
Rasmol, I've coded the marching cubes algorithm to generate  
coordinates and connections for a surface in PDB format. The surface  
PDB can then be added to the molecular PDB with selection  
controlled residue id number. This is all in C and is freely  
available. Check out the MO and MEP examples at:-
http://www.chem.leeds.ac.uk/stuartg/marching/surface.html

Joerg-Ruediger Hill  <[email-masked]>:

	You might want to take a look at my program Viewmol  
(file://www.ccl.net/pub/chemistry/software/SOURCES/C/viewmol/). It  
contains a C implementation of the marching cube algorithm in the  
file marcub.c. Feel free to use it.

_______________________________________________
[email-masked]		 (NeXT-mail OK)

Willy R. Wriggers
Theoretical Biophysics Group
Beckman Institute
University of Illinois at Urbana-Champaign
405 North Mathews Avenue
Urbana, IL 61801, USA

Telephone (217) 244-1612
Telefax (217) 244-6078
Web Site: http://www.ks.uiuc.edu/~wriggers/
_______________________________________________

>From [email-masked] Fri Oct 10 11:51 EDT 1997
Date: Fri, 10 Oct 1997 08:52:56 -0700
To: [email-masked]
From: Stefan Unger <[email-masked]>
Subject: Re: CCL:logP program

Several are listed at the BIO Online Store
http://store.bio.com
Hope this is helpful to you.

>Dear friends,
>    I am looking for a program that calculates logP. Is any body provide
>me the softwares. Please.
>Thanking you,
>B.Sivakumar,
>SRF. Chemistry,
>Bharathidasan University,
>Tiruchirappalli-24.
>Tamilnadu. India.
>e-mail:[email-masked]
>
>______________________________________________________
>Get Your Private, Free Email at http://www.hotmail.com
>
>
>---
>Administrivia: This message is automatically appended by the mail exploder:
>[email-masked]: Everybody | [email-masked]: Coordinator
>[email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net 73
>Anon. ftp: www.ccl.net   | [email-masked] -- archive search
>             Web: http://www.ccl.net/chemistry.html
>---

NEW CONTACT INFO!+*+*+*+*+*+*+*+**+*+*+*+*+*++*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*
Stefan Unger, Ph.D.
President
BioSoftware Marketing
4151 Middlefield Rd, Ste 110
Palo Alto, CA 94303-4743
ph: 650-858-0522   fx: 650-494-6564
email: <mailto:[email-masked]>
URL: http://bio.com/home/bsm/bsm.html

BioSoftware Marketing specializes in a full range of marketing services
(market studies to collateral design) for technical software and hardware
companies.

Product Manager, Scientific Software, Bio Online Store (http://store.bio.com/)
*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*

>From [email-masked] Fri Oct 10 20:21 EDT 1997
Date: Fri, 10 Oct 1997 17:20:55 -0700
From: Eugene Kolker <[email-masked]>
To: [email-masked]
Subject: Recomb98 deadline: Oct 20

		 	 CALL FOR PAPERS
              SECOND ANNUAL INTERNATIONAL CONFERENCE ON                
                   COMPUTATIONAL MOLECULAR BIOLOGY

                           (RECOMB 98)

                       March 22 - 25, 1998  
                          New York City                   
                                                                  
                           Sponsored by 
                 Association for Computing Machinery 
                              SIGACT

                         with support from
                          SLOAN Foundation 
                      US Department of Energy
 
	      http://www.mssm.edu/biomath/recomb98.html

The Second Annual Conference on Research in Computational Molecular 
Biology (RECOMB 98) will be held in New York City, March 22 - 25, 1998. 
Papers reporting on original research (both theoretical and experimental) 
in all areas of computational molecular biology are sought, including 
surveys of important recent results/directions. Typical but not exclusive 
topics of interest include: 

- Genomics
- Molecular sequence analysis
- Recognition of  genes and regulatory elements
- Molecular evolution
- Protein structure
- Combinatorial libraries and drug design

ABSTRACT SUBMISSION: 
Authors are requested to send 10 copies (preferably two sided copies) of a
detailed extended abstract (5-10 pages)  to: 

                        Professor Pavel Pevzner
                        RECOMB 98 Program Chair
                        University of Southern California
                        Department of Mathematics, DRB 155
                        Los Angeles, CA 90089-1113

An abstract must be received by October 20 (!), 1997. This is a firm deadline. 
Simultaneous submission to another conference or journal is allowed.

For more information please visit the conference web page:
http://www.mssm.edu/biomath/recomb98.html

>From [email-masked] Fri Oct 10 22:03 EDT 1997
Date: Sat, 11 Oct 1997 10:02:49 -0700 (PDT)
From: Wang Arthur <[email-masked]>
To: Balasubramanian SIVKUMAR <[email-masked]>
Cc: [email-masked]
Subject: Re: CCL:logP program

On Mon, 6 Oct 1997, Balasubramanian SIVKUMAR wrote:

> Dear friends,
>     I am looking for a program that calculates logP. Is any body provide
> me the softwares. Please.
> Thanking you,
> B.Sivakumar,
> SRF. Chemistry,
> Bharathidasan University,
> Tiruchirappalli-24.
> Tamilnadu. India.
> e-mail:[email-masked]
> 

Dear Netters,

Dear,

We have developed an atom-addition method to calculate LogP. The original
paper is on J.Chem.Inf.Comput.Sci., 1997, 37, 615-621.  The program, XLOGP,
together with its dataset, is available by anonymous ftp to 162.105.177.12,
under 'pub/software/xlogp'. Please read the file 'README' carefully and fill
in the license agreement form. 

Best wishes,

Arthur

_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
_/   Arthur Wang                     Doctoral Candidate     _/
_/   Molecular Design Lab                                   _/
_/   Institute of Physical Chemistry, Peking University     _/
_/   Beijing 100871, P.R.China                              _/
_/                                                          _/ 
_/   E-mail: [email-masked]                          _/
_/   Tel: 86-10-62751490    Fax: 86-10-62751725             _/
_/   WWW: http://www.ipc.pku.edu.cn/moldes/arthur/home.html _/
_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/